Bug 233883 - java/openjdk8: fix build with GCC-based architectures
Summary: java/openjdk8: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-java mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-09 12:28 UTC by Piotr Kubaj
Modified: 2018-12-27 10:47 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
patch (409 bytes, patch)
2018-12-09 12:28 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-09 12:28:55 UTC
Created attachment 199976 [details]
patch

Before update to 8.192.26, openjdk8 compiled fine, but 8.192.26 made building on FreeBSD use clang by default, which breaks GCC architectures.

Add CONFIGURE_ARGS+=--with-toolchain-type=gcc when COMPILER_TYPE is gcc (alternatively we could add CONFIGURE_ARGS+=--with-toolchain-type=${CHOSEN_COMPILER_TYPE} to all targets).

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 commit-hook freebsd_committer 2018-12-11 03:24:34 UTC
A commit references this bug:

Author: glewis
Date: Tue Dec 11 03:23:58 UTC 2018
New revision: 487219
URL: https://svnweb.freebsd.org/changeset/ports/487219

Log:
  . Fix build on gcc based architectures (e.g. powerpc64)

  PR:		233883
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/java/openjdk8/Makefile
Comment 2 Greg Lewis freebsd_committer 2018-12-11 03:26:02 UTC
Committed.  Thanks!
Comment 3 commit-hook freebsd_committer 2018-12-27 10:47:23 UTC
A commit references this bug:

Author: ale
Date: Thu Dec 27 10:46:57 UTC 2018
New revision: 488531
URL: https://svnweb.freebsd.org/changeset/ports/488531

Log:
  MFH: r485094 r486973 r486983 r487219 r488521

  - Fix reversed ccache version detection logic.  Enable ccache support.
  - Use '-pthread' for Clang.  Clang supports '-pthread' on all BSDs except
  for Darwin. [1]

  Reported by:	Achilleas Mantzios <achill@matrix.gatewaynet.com> [1]
  Tested by:	Achilleas Mantzios <achill@matrix.gatewaynet.com> [1]

  . Update to 8u192.

  PR:		230364

  . Fix SCTP support.

  PR:		230321
  Submitted by:	Timo Voelker <timo.voelker@fh-muenster.de>

  . Fix build on gcc based architectures (e.g. powerpc64)

  PR:		233883
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

  Add support for millisecond resolution to get/setLastModifiedTime
  in both Java IO and NIO.

  Approved by:	portmgr (bapt)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/java/openjdk8/Makefile
  branches/2018Q4/java/openjdk8/distinfo
  branches/2018Q4/java/openjdk8/files/patch-bsd
  branches/2018Q4/java/openjdk8/files/patch-bsd-test
  branches/2018Q4/java/openjdk8/files/patch-common_autoconf_build-performance.m4
  branches/2018Q4/java/openjdk8/files/patch-common_autoconf_generated-configure.sh
  branches/2018Q4/java/openjdk8/files/patch-configure
  branches/2018Q4/java/openjdk8/files/patch-hotspot_make_bsd_makefiles_gcc.make
  branches/2018Q4/java/openjdk8/files/patch-jdk-make-lib-Awt2dLibraries.gmk
  branches/2018Q4/java/openjdk8/files/patch-jdk-src-solaris-native-java-io-UnixFileSystem_md.c
  branches/2018Q4/java/openjdk8/files/patch-jdk-src-solaris-native-sun-nio-ch-sctp-SctpChannelImpl.c
  branches/2018Q4/java/openjdk8/files/patch-jdk-src-solaris-native-sun-nio-fs-UnixNativeDispatcher.c